package com.my.webservice;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.lang.StringUtils;

/**
 * Servlet implementation class Hello
 */
public class HelloServlet extends HttpServlet {
	
	private static final String HELLO_STRING = "Hello: ";
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		doPost(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse
	 *      response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String text = "";
		StringBuffer sb = new StringBuffer();
		try {
			BufferedReader reader = new BufferedReader(new InputStreamReader(request.getInputStream()));
			String line = reader.readLine();
			while (line != null) {
				sb.append(line);
				line = reader.readLine();
			}
			if (sb.length() != 0) {
				text = sb.toString();
			}
		} catch (Exception e) {
		} 

		response.setContentType("text/plain");
		response.setHeader("Cache-Control", "no-cache");

		if (StringUtils.isNotEmpty(text)) {
			response.getWriter().write(HELLO_STRING + text);
		} else {
			response.getWriter().write(HELLO_STRING);
		}

	}
}
